Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.ejb
Class NestedApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
oracle.jbo.server.remote.ejb.NestedApplicationModuleImpl`

All Implemented Interfaces:
  ApplicationModuleRemoteAdapter, java.util.EventListener, JboExceptionHandler, TransactionStateListener, ViewClearCacheListener, WSApplicationModuleMarshaller

public class NestedApplicationModuleImpl
extends AbstractRemoteApplicationModuleImpl

Version:
  INTERNAL

Field Summary

Fields inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`PROCESS_STATUS_ERROR_FOUND, PROCESS_STATUS_OK`

Fields inherited from interface oracle.jbo.common.ws.WSApplicationModuleMarshaller
`ACTIVATION_AFTER_LOSS_OF_AFFINITY, ACTIVATION_AFTER_RESTART, ACTIVATION_NONE, SYNC_INT_BATCH, SYNC_INT_BATCH_DO_WORK`

Constructor Summary
`NestedApplicationModuleImpl()`

Method Summary
`ServiceMessage` | `doMessage(ServiceMessage piggyback)`
`protected void` | `processException(java.lang.Exception ex)`
`void` | `riRemove()`

Methods inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`addException, addMethodReturnValueToMessage, addResponse, afterActivation, bindToWorkingSet, cacheCleared, clearServiceMessage, createApplicationModule, createLocalApplicationModule, createObjectMarshaller, createPiggybackManager, createRootApplicationModule, createSession, createWorkerApplicationModule, detach, disconnectWithRetainState, dispatchMethod, doneCommit, doneRollback, findApplicationModule, findObject, finishedProcessingPiggyback, finishServiceMessage, finishSyncWorkingSet, getAdaptee, getApplicationModuleDefName, getApplicationModuleInfo, getAppModuleNamesFromResponse, getAppModuleRequestHandler, getClientProxyInterfaceName, getCurrentWorkingSet, getMarshaller, getObjectMarshaller, getOutboundServiceMessage, getPiggyback, getRemoteObjectId, getRequestName, getResponseName, getSvcMsgManager, handleException, handleWarning, hasPendingDataPosts, invokeMethod, marshal, marshalForActivate, pooledSync, processMessage, processPiggyback, processServiceMessage, processSvcMsgRequest, reconnectWithoutForce, releaseAdaptee, remove, sendWorkingSetRequests, setAdaptee, setApplicationModuleDefName, setBoundToWorkingSet, setDataModelRefresh, setMarshaller, setSvcMsgManager, sync, syncMarshaller, syncWorkingSet, txnCreated, txnRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedApplicationModuleImpl

    public NestedApplicationModuleImpl()

Method Detail

### doMessage

    public ServiceMessage doMessage(ServiceMessage piggyback)

### riRemove

    public void riRemove()

### processException

    protected void processException(java.lang.Exception ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.